[package]
name = "pandora_box"
version = "0.20.0"
authors = ["Ali Polatel <alip@chesswob.org>"]
edition = "2018"
description = "Syd's log inspector & profile writer "
readme = "README.md"
homepage = "https://man.exherbo.org"
repository = "https://gitlab.exherbo.org/sydbox/sydbox.git"
license = "GPL-3.0"
keywords = ["container", "security", "sandbox"]
categories = ["command-line-utilities", "os::linux-apis", "security"]
default-run = "pandora"
rust-version = "1.70.0"

[[bin]]
name = "pandora"
path = "pandora.rs"

[features]
default = ["rust-dns"]
rust-dns = ["dep:resolv-conf", "dep:simple-dns"]
system-dns = ["dep:dns-lookup"]

[dependencies]
ahash = { version = "0.8", features = ["getrandom", "std", "runtime-rng"] }
btoi = { version = "0.5", default-features = false }
console = "0.16.0"
fixedbitset = { version = "0.5", default-features = false }
data-encoding = { version = "2.10", default-features = false, features = ["std"] }
indicatif = "0.18.0"
lexopt = { version = "0.3", default-features = false }
libc = "0.2"
memchr = { version = "2.8", default-features = false, features = ["std"] }
nix = { version = "0.31", default-features = false, features = ["fs", "net", "process", "signal", "socket", "uio", "user", "zerocopy"] }
num_cpus = { version = "1.17", default-features = false }
rayon = "1.10.0"
serde = { package = "serde_core", version = "1.0", default-features = false, features = ["std"] }
serde_json = { version = "1.0", default-features = false, features = ["preserve_order", "std"] }
tempfile = { version = "3.27", default-features = false, features = ["getrandom"] }
patricia_tree = { version = "0.10", default-features = false }

# Reverse DNS support
dns-lookup = { version = "3.0", optional = true }
resolv-conf = { version = "0.7", optional = true }
simple-dns = { version = "0.11", default-features = false, features = ["std"], optional = true }

[[test]]
name = "tests"

[dev-dependencies]
regex = { version = "1", default-features = false, features = ["std", "unicode-perl"] }
